Index: pjproject/trunk/build.symbian/pjlib_util.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjlib_util.mmp	(revision 3086)
+++ pjproject/trunk/build.symbian/pjlib_util.mmp	(revision 3087)
@@ -41,4 +41,5 @@
 SOURCE	hmac_md5.c
 SOURCE	hmac_sha1.c
+SOURCE	http_client.c
 SOURCE	md5.c
 SOURCE	pcap.c
@@ -62,4 +63,5 @@
 //DOCUMENT pjlib-util\\hmac_md5.h
 //DOCUMENT pjlib-util\hmac_sha1.h
+//DOCUMENT pjlib-util\http_client.h
 //DOCUMENT pjlib-util\md5.h
 //DOCUMENT pjlib-util\resolver.h
Index: pjproject/trunk/pjlib-util/build/Makefile
===================================================================
--- pjproject/trunk/pjlib-util/build/Makefile	(revision 3086)
+++ pjproject/trunk/pjlib-util/build/Makefile	(revision 3087)
@@ -29,5 +29,5 @@
 export PJLIB_UTIL_OBJS += $(OS_OBJS) $(M_OBJS) $(CC_OBJS) $(HOST_OBJS) \
 		base64.o crc32.o errno.o dns.o dns_dump.o dns_server.o \
-		getopt.o hmac_md5.o hmac_sha1.o md5.o pcap.o resolver.o \
+		getopt.o hmac_md5.o hmac_sha1.o http_client.o md5.o pcap.o resolver.o \
 		scanner.o sha1.o srv_resolver.o string.o stun_simple.o \
 		stun_simple_client.o xml.o
@@ -38,5 +38,6 @@
 #
 export UTIL_TEST_SRCDIR = ../src/pjlib-util-test
-export UTIL_TEST_OBJS += xml.o encryption.o stun.o resolver_test.o test.o 
+export UTIL_TEST_OBJS += xml.o encryption.o stun.o resolver_test.o test.o \
+		http_client.o
 export UTIL_TEST_CFLAGS += $(_CFLAGS)
 export UTIL_TEST_LDFLAGS += $(_LDFLAGS)
Index: pjproject/trunk/pjlib-util/build/pjlib_util.dsp
===================================================================
--- pjproject/trunk/pjlib-util/build/pjlib_util.dsp	(revision 3086)
+++ pjproject/trunk/pjlib-util/build/pjlib_util.dsp	(revision 3087)
@@ -126,4 +126,8 @@
 # Begin Source File
 
+SOURCE="..\src\pjlib-util\http_client.c"
+# End Source File
+# Begin Source File
+
 SOURCE="..\src\pjlib-util\md5.c"
 # End Source File
@@ -217,4 +221,8 @@
 
 SOURCE="..\include\pjlib-util\hmac_sha1.h"
+# End Source File
+# Begin Source File
+
+SOURCE="..\include\pjlib-util\http_client.h"
 # End Source File
 # Begin Source File
